Bug 1502687 - (CVE-2017-10295) CVE-2017-10295 OpenJDK: HTTP client insufficient check for newline in URLs (Networking, 8176751)
CVE-2017-10295 OpenJDK: HTTP client insufficient check for newline in URLs (N...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20171017,repor...
: Security
Depends On: 1503329 1499213 1499214 1499215 1499216 1499223 1499224 1499225 1499226 1503325 1503326 1503327 1503328 1503330 1503331 1503332 1503333 1503334 1503335 1503336 1515469 1515470 1515471 1515472 1516384 1516385 1516386 1516387
Blocks: 1499210
  Show dependency treegraph
 
Reported: 2017-10-16 08:37 EDT by Tomas Hoger
Modified: 2018-02-06 03:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that the HttpURLConnection and HttpsURLConnection classes in the Networking component of OpenJDK failed to check for newline characters embedded in URLs. An attacker able to make a Java application perform an HTTP request using an attacker provided URL could possibly inject additional headers into the request.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 09:15:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2017-10-16 08:37:35 EDT
It was found that the HttpURLConnection and HttpsURLConnection classes implementations in the Networking component of OpenJDK failed to check for newline characters embedded in URLs.  An attacker able to make a Java application to perform an HTTP request to an attacker provided URL could possibly inject additional headers into the request.
Comment 2 Tomas Hoger 2017-10-17 16:55:09 EDT
Public now via Oracle CPU October 2017:

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html#AppendixJAVA

The issue was fixed in Oracle JDK 9.0.1, 8u151, 7u161, and 6u171.
Comment 6 Tomas Hoger 2017-10-18 05:52:50 EDT
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/0cb8f2bf8651
Comment 7 errata-xmlrpc 2017-10-20 07:34:18 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2998 https://access.redhat.com/errata/RHSA-2017:2998
Comment 8 errata-xmlrpc 2017-10-23 03:49:50 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:2999 https://access.redhat.com/errata/RHSA-2017:2999
Comment 9 errata-xmlrpc 2017-10-24 08:13:58 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:3047 https://access.redhat.com/errata/RHSA-2017:3047
Comment 10 errata-xmlrpc 2017-10-24 08:19:44 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:3046 https://access.redhat.com/errata/RHSA-2017:3046
Comment 13 errata-xmlrpc 2017-11-27 13:06:19 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3264 https://access.redhat.com/errata/RHSA-2017:3264
Comment 14 errata-xmlrpc 2017-11-28 15:42:01 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:3267 https://access.redhat.com/errata/RHSA-2017:3267
Comment 15 errata-xmlrpc 2017-11-28 15:44:52 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3268 https://access.redhat.com/errata/RHSA-2017:3268
Comment 16 errata-xmlrpc 2017-12-06 08:44:44 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:3392 https://access.redhat.com/errata/RHSA-2017:3392
Comment 17 errata-xmlrpc 2017-12-13 11:56:04 EST
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:3453 https://access.redhat.com/errata/RHSA-2017:3453

Note You need to log in before you can comment on or make changes to this bug.